"use strict";
exports.id = 460;
exports.ids = [460];
exports.modules = {

/***/ 6460:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1853);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);


const useErrors = ()=>{
    const router = (0,next_router__WEBPACK_IMPORTED_MODULE_0__.useRouter)();
    const errorHandler = (error)=>{
        switch(error?.response?.status){
            case 404:
                router.push("/404");
        }
    };
    const validationErrors = (error, setError)=>{
        if (error.response?.status === 422) {
            let object = error.response?.data;
            console.log(object);
            for (let key of Object.keys(object)){
                setError(`${key}`, {
                    message: object[key].toString()
                });
            }
        } else if (error.response?.status === 404) {
            router.replace("/404");
        } else if (error.response?.status === 505) {
            router.replace("/505");
        } else if (error.response?.status === 401) {
            swal({
                icon: "error",
                title: "Not allowed",
                text: "You are not allowed to perform this action \n please contact your admin"
            });
            router.back();
        }
    };
    return {
        errorHandler,
        validationErrors
    };
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useErrors);


/***/ })

};
;