"use strict";
exports.id = 859;
exports.ids = [859];
exports.modules = {

/***/ 8859:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _heroicons_react_outline__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8768);
/* harmony import */ var _heroicons_react_outline__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_heroicons_react_outline__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _mui_material__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(5692);
/* harmony import */ var _mui_material__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_mui_material__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var swr__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(549);
/* harmony import */ var swr__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(swr__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _ProtectedUi__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(1773);
/* harmony import */ var src_hooks_useAxios__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(2470);
/* harmony import */ var react_debounce_input__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(1552);
/* harmony import */ var react_debounce_input__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_debounce_input__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(1853);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var _TableLoading__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(4865);
/* harmony import */ var src_hooks_useErrors__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(6460);
/* harmony import */ var sweetalert__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(4701);
/* harmony import */ var sweetalert__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(sweetalert__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var recoil__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(9755);
/* harmony import */ var recoil__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(recoil__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var src_lib_atoms_messageAtom__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(6742);














const DataTable = ({ url , urlKey , columns , editRole , deleteRole , defaultSortField ="id" , actions =true , editAction =true , deleteAction =true , otherActions =[] , defaultLimit =10 , urlParams , trBorder =true , baseURL =null , shouldRevalidate =false , onRevalidateCompleted , deleteConfirmationTitle ="Are you sure?" , deleteDescription =null , editType ="link" , editUrl ="" , deleteUrl ="" , returnId  })=>{
    const { 0: sortField , 1: setSortField  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(defaultSortField);
    const { 0: sortDirection , 1: setSortDirection  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)("asc");
    const { 0: search , 1: setSearch  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)("");
    const { 0: limit , 1: setLimit  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(defaultLimit);
    const { 0: page , 1: setPage  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(1);
    const router = (0,next_router__WEBPACK_IMPORTED_MODULE_8__.useRouter)();
    const { 0: totalPage , 1: setTotalPage  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(0);
    const { 0: deleteLoading , 1: setDeleteLoading  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const request = (0,src_hooks_useAxios__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z)(baseURL);
    const { errorHandler  } = (0,src_hooks_useErrors__WEBPACK_IMPORTED_MODULE_10__/* ["default"] */ .Z)();
    const setMessage = (0,recoil__WEBPACK_IMPORTED_MODULE_12__.useRecoilState)(src_lib_atoms_messageAtom__WEBPACK_IMPORTED_MODULE_13__/* .messageAtom */ .p);
    const fetchData = (key, page, sort, direction, limit, search)=>{
        return request.get().then((res)=>res.data).catch((err)=>errorHandler(err));
    };
    const { data , revalidate  } = swr__WEBPACK_IMPORTED_MODULE_4___default()([
        !urlKey ? url : urlKey,
        page,
        sortField,
        sortDirection,
        limit,
        search
    ], ()=>request.get(`${url}/?search=${search}&sort=${sortField}&direction=${sortDirection}&page=${page}&limit=${limit}${urlParams ? `&${urlParams}` : ""}`).then((res)=>res.data).catch((err)=>console.log(err)));
    const sortIndicator = (column)=>{
        if (sortField === column) {
            return sortDirection === "asc" ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_heroicons_react_outline__WEBPACK_IMPORTED_MODULE_2__.ChevronDownIcon, {
                className: "h-3 pr-3"
            }) : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_heroicons_react_outline__WEBPACK_IMPORTED_MODULE_2__.ChevronUpIcon, {
                className: "h-3 pr-3"
            });
        }
        return "";
    };
    const changeSort = (column)=>{
        setSortField(column);
        setSortDirection((prev)=>prev === "asc" ? "desc" : "asc");
    };
    const handlePage = (event, value)=>{
        setPage(value);
        router.push({
            pathname: router.pathname,
            query: {
                ...router.query,
                page: value
            }
        });
    };
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        if (data) {
            let p_number = data.total / limit;
            setTotalPage(data.total / limit > parseInt(data.total / limit) ? parseInt(p_number) + 1 : parseInt(p_number));
        }
    }, [
        data
    ]);
    const resolve = (path, obj)=>{
        return path.split(".").reduce(function(prev, curr) {
            return prev ? prev[curr] : null;
        }, obj || self);
    };
    const td = (value, type)=>{
        if (typeof type === "undefined") {
            return value;
        } else {
            switch(type){
                case "boolean":
                    return value ? "Active" : "Inactive";
                case "yes/no":
                    return value ? "Yes" : "No";
                case "nullableInt":
                    return value !== null ? value : 0;
                case "nullableStr":
                    return value !== null ? value : "";
            }
        }
    };
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        if (shouldRevalidate) {
            revalidate().then(()=>{
                onRevalidateCompleted();
            });
        }
    }, [
        shouldRevalidate
    ]);
    const deleteRow = (id)=>{
        sweetalert__WEBPACK_IMPORTED_MODULE_11___default()({
            icon: "warning",
            title: deleteConfirmationTitle,
            text: deleteDescription,
            buttons: true
        }).then((res)=>{
            if (res) {
                setDeleteLoading(true);
                let path = null;
                if (deleteUrl) {
                    path = deleteUrl;
                } else {
                    path = url;
                }
                request.delete(path + "/" + id).then((res)=>{
                    setDeleteLoading(false);
                    if (res?.data?.status) {
                        revalidate();
                        setMessage[1](res?.data?.message);
                    } else {
                        sweetalert__WEBPACK_IMPORTED_MODULE_11___default()({
                            icon: "error",
                            title: "Something went wrong",
                            text: res.data?.message
                        });
                    }
                }).catch((err)=>{
                    errorHandler(err);
                    setDeleteLoading(false);
                });
            }
        });
    };
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
        children: [
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                children: [
                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                        className: "flex items-center justify-between",
                        children: [
                            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                className: "flex w-full items-center rounded-full border py-1 px-3 border-[#999] max-w-fit",
                                children: [
                                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                                        className: "flex-1",
                                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(react_debounce_input__WEBPACK_IMPORTED_MODULE_7__.DebounceInput, {
                                            className: "w-full border-none border-transparent bg-transparent text-xs outline-none ring-0 focus:border-transparent focus:ring-0",
                                            placeholder: "Search",
                                            debounceTimeout: 500,
                                            value: search,
                                            onChange: (e)=>{
                                                setSearch(e.target.value);
                                                setPage(1);
                                                router.push({
                                                    pathname: router.pathname,
                                                    query: {
                                                        ...router.query,
                                                        search: e.target.value
                                                    }
                                                });
                                            }
                                        })
                                    }),
                                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                        className: "flex items-center",
                                        children: [
                                            search && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_heroicons_react_outline__WEBPACK_IMPORTED_MODULE_2__.XIcon, {
                                                className: "mr-2 h-4 cursor-pointer",
                                                onClick: ()=>setSearch("")
                                            }),
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_heroicons_react_outline__WEBPACK_IMPORTED_MODULE_2__.SearchIcon, {
                                                className: "mr-2 h-4"
                                            })
                                        ]
                                    })
                                ]
                            }),
                            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                className: "mr-5 mt-5 flex content-center items-center justify-center space-x-2 lg:mt-0",
                                children: [
                                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("label", {
                                        htmlFor: "select",
                                        children: "Total record per page"
                                    }),
                                    /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("select", {
                                        id: "select",
                                        className: "border",
                                        onChange: (e)=>{
                                            setPage(1);
                                            setLimit(e.target.value);
                                            router.push({
                                                pathname: router.pathname,
                                                query: {
                                                    ...router.query,
                                                    limit: e.target.value
                                                }
                                            });
                                        },
                                        children: [
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("option", {
                                                value: 10,
                                                children: "10"
                                            }),
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("option", {
                                                value: 20,
                                                children: "20"
                                            }),
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("option", {
                                                value: 50,
                                                children: "50"
                                            }),
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("option", {
                                                value: 100,
                                                children: "100"
                                            }),
                                            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("option", {
                                                value: 200,
                                                children: "200"
                                            })
                                        ]
                                    })
                                ]
                            })
                        ]
                    }),
                    data ? /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                        className: "overflow-x-auto",
                        children: [
                            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("table", {
                                className: `w-full text-left mt-4`,
                                children: [
                                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("thead", {
                                        className: "border-b py-3 bg-gray-100",
                                        children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("tr", {
                                            children: [
                                                columns?.map((column)=>/*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("th", {
                                                        className: `whitespace-nowrap mx-1 px-4`,
                                                        onClick: ()=>column?.sort && changeSort(column?.key),
                                                        children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                                            className: `flex items-center space-x-2 ${column?.sort && "cursor-pointer"}`,
                                                            children: [
                                                                /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                                                                    className: "flex-grow",
                                                                    children: column?.name
                                                                }),
                                                                column?.sort && sortIndicator(column?.key)
                                                            ]
                                                        })
                                                    }, column?.name)),
                                                actions && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("th", {
                                                    className: "px-4",
                                                    children: "Actions"
                                                })
                                            ]
                                        })
                                    }),
                                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("tbody", {
                                        children: data?.total < 1 ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("tr", {
                                            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("td", {
                                                className: "text-red-500 text-center py-4",
                                                colSpan: columns?.length + 1,
                                                children: "No record found"
                                            })
                                        }) : data?.data?.map((item, index)=>/*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("tr", {
                                                className: `${trBorder && "border-b"}`,
                                                children: [
                                                    columns?.map((column, index)=>/*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("td", {
                                                            className: "px-4",
                                                            children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("span", {
                                                                children: td(resolve(column?.key, // {(typeof item == 'boolean') ? (item)
                                                                item), column?.type)
                                                            })
                                                        }, index)),
                                                    actions && /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("td", {
                                                        className: "px-6 flex items-center",
                                                        children: [
                                                            editAction && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_material__WEBPACK_IMPORTED_MODULE_3__.IconButton, {
                                                                onClick: ()=>editType === "link" ? router.push(`${editUrl}${item.id}`) : returnId(item.id),
                                                                size: `small`,
                                                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_heroicons_react_outline__WEBPACK_IMPORTED_MODULE_2__.PencilIcon, {
                                                                    className: "h-4 text-blue-500"
                                                                })
                                                            }),
                                                            deleteAction && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_material__WEBPACK_IMPORTED_MODULE_3__.IconButton, {
                                                                onClick: ()=>deleteRow(item?.id),
                                                                size: `small`,
                                                                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_heroicons_react_outline__WEBPACK_IMPORTED_MODULE_2__.TrashIcon, {
                                                                    className: "h-4 text-red-500"
                                                                })
                                                            }),
                                                            otherActions && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
                                                                children: otherActions.map((actions, index)=>/*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_ProtectedUi__WEBPACK_IMPORTED_MODULE_5__/* ["default"] */ .Z, {
                                                                        role: actions.role,
                                                                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_material__WEBPACK_IMPORTED_MODULE_3__.IconButton, {
                                                                            onClick: ()=>typeof actions?.full_url !== "undefined" ? window.open(actions?.route + `${typeof actions?.has_param !== "undefined" ? "&" : "?"}id=` + item?.id, "_blank") : typeof actions?.custom_id === "undefined" ? router.push(actions.route + `&${typeof actions.id_param === "undefined" ? "id" : actions.id_param}=` + item.id) : router.push(actions.route + `&${typeof actions.id_param === "undefined" ? "id" : actions.id_param}=` + resolve(actions.custom_id, item)),
                                                                            ripple: "dark",
                                                                            size: "small",
                                                                            children: actions.icon
                                                                        })
                                                                    }, `actions${index}`))
                                                            })
                                                        ]
                                                    })
                                                ]
                                            }, index))
                                    })
                                ]
                            }),
                            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                                className: "mt-4 flex items-center pb-3",
                                children: [
                                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                                        className: "flex-1",
                                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_material__WEBPACK_IMPORTED_MODULE_3__.Pagination, {
                                            page: page,
                                            onChange: handlePage,
                                            count: totalPage,
                                            color: "primary"
                                        })
                                    }),
                                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                                        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("p", {
                                            className: "mr-12 text-sm",
                                            children: /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("b", {
                                                children: [
                                                    "Total results: (",
                                                    data?.total,
                                                    ")"
                                                ]
                                            })
                                        })
                                    })
                                ]
                            })
                        ]
                    }) : /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_TableLoading__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Z, {})
                ]
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_material__WEBPACK_IMPORTED_MODULE_3__.Backdrop, {
                sx: {
                    color: "#fff",
                    zIndex: (theme)=>theme.zIndex.drawer + 1
                },
                open: deleteLoading,
                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_material__WEBPACK_IMPORTED_MODULE_3__.CircularProgress, {
                    color: "inherit"
                })
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DataTable);


/***/ })

};
;