import { CircularProgress } from '@mui/material'

const CircleLoading = ({ size = 30, top = 0, full = false, className, color = 'primary' }) => {
  return (
    <div className={`flex content-center items-center justify-center ${className} ${full && 'h-screen'} mt-${top}`}>
      <CircularProgress size={size} color={color} />
    </div>
  )
}

export default CircleLoading
